GrailsContextEvent (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class GrailsContextEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.codehaus.groovy.grails.commons.spring.GrailsContextEvent

    public class GrailsContextEvent
    extends org.springframework.context.ApplicationEvent

Signals various events related to the Grails context loading.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static int` | `DYNAMIC_METHODS_REGISTERED`

Constructor Summary
`GrailsContextEvent(org.springframework.web.context.WebApplicationContext ctx, int eventType)`

Method Summary
`int` | `getEventType()`

Methods inherited from class org.springframework.context.ApplicationEvent
org.springframework.context.ApplicationEvent#getTimestamp(), org.springframework.context.ApplicationEvent#getSource(), org.springframework.context.ApplicationEvent#toString(), org.springframework.context.ApplicationEvent#wait(long, int), org.springframework.context.ApplicationEvent#wait(long), org.springframework.context.ApplicationEvent#wait(), org.springframework.context.ApplicationEvent#equals(java.lang.Object), org.springframework.context.ApplicationEvent#hashCode(), org.springframework.context.ApplicationEvent#getClass(), org.springframework.context.ApplicationEvent#notify(), org.springframework.context.ApplicationEvent#notifyAll()

Methods inherited from class java.util.EventObject
java.util.EventObject#getSource(), java.util.EventObject#toString(), java.util.EventObject#wait(long, int), java.util.EventObject#wait(long), java.util.EventObject#wait(), java.util.EventObject#equals(java.lang.Object), java.util.EventObject#hashCode(), java.util.EventObject#getClass(), java.util.EventObject#notify(), java.util.EventObject#notifyAll()

Field Detail

### DYNAMIC_METHODS_REGISTERED

    public static final int DYNAMIC_METHODS_REGISTERED

Constructor Detail

### GrailsContextEvent

    public GrailsContextEvent(org.springframework.web.context.WebApplicationContext ctx, int eventType)

Method Detail

### getEventType

    public int getEventType()

Groovy Documentation